import httpRequest from '@/utils/request.js'
httpRequest.defaults.baseURL = process.env.VUE_APP_REPORT_URL;

// 保存脚本
export function save(param, data) {
  return httpRequest({
    url: 'script/save',
    method: 'post',
    params: param,
    data: data
  })
}
// 读取脚本
export function read() {
  return httpRequest({
    url: 'script/read',
    method: 'get'
  })
}
// 运行脚本
export function run(data) {
  return httpRequest({
    url: 'script/run',
    method: 'post',
    data: data
  })
}