import httpRequest from '@/utils/request.js'
httpRequest.defaults.baseURL = process.env.VUE_APP_GENERAT_URL;

// 风电数据准备页面
export function apiGetbaseStation() {
    return httpRequest({
        url: 'base/station',
        method: 'get'
    })
}

export function apiGetbaseWindturbine(params) {
    return httpRequest({
        url: 'base/windturbine',
        method: 'get',
        params: params
    })
}

export function apiGetpowerpreparedata(params) {
    return httpRequest({
        url: 'power/prepare/data',
        method: 'get',
        params: params
    })
}

export function apiGetpowerpreparetree() {
    return httpRequest({
        url: 'power/prepare/tree',
        method: 'get'
    })
}

export function apiGetpowerprepareshow(params) {
    return httpRequest({
        url: 'power/prepare/show',
        method: 'get',
        params: params
    })
}

//******************************end*******************************************//
